<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$text = @file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}

if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if(!isset($action)){	
echo'<img src="../images/img/forums.gif" alt=""> Добавь свой сайт<br><br>';

if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}
 
 
 
if($config_themes!=="wml"){
echo'<br><form action="link.php?action=add&amp;'.SID.'" method="post">';
echo'Адрес сайта:<br>';
echo'<input type="text" name="linkurl" value="http://" maxlength="50" /><br>';
echo'Название (max25):<br>';
echo'<input type="text" name="linkname" maxlength="25" /><br><br>';
echo'<input type="submit" value="Добавить" /></form>';
}else{

echo'<br>--------------------<br>';
echo'Адрес сайта:<br>';
echo'<input name="linkurl"/><br>';
echo'Название (max25):<br>';
echo'<input name="linkname"/><br>';
echo'<anchor>Добавить';
echo'<go href="link.php?action=add&amp;'.SID.'" method="post">';
echo'<postfield name="linkurl" value="$(linkurl)"/>';
echo'<postfield name="linkname" value="$(linkname)"/>';
echo'</go></anchor><br>--------------------<br>';

}



echo'<hr>В названии ссылки запрещено использовать любые ненормативные и матные слова, такие как порно, sex и т.д.<br>';
}

if($action=="add"){

$linkname=utf_to_win($linkname);
$linknames=utf_to_win($linkname);
$linkname=strtolower($linkname);
$linkname=ucfirst($linkname);
$linkname=win_to_utf($linkname);

$stri=strlen($linknames);
if ($stri>4 && $stri<26) {
$linkurl=str_replace("http://","",$linkurl); //удаляем http://
$linkurl = check($linkurl);	
$linkname = check($linkname);	
if (eregi("^[a-z0-9\.-]+\.[a-z]{2,4}\$", $linkurl)){

$linkurl=strtolower($linkurl);


$lines=file("../local/link.dat");
$count=count($lines); 
for ($b=0; $b<$count; $b++) //Пробегаем по массиву в поиске сайта
{ list($linkbase)=explode("|",$lines[$b]);
 
$var1 = similar_text($linkbase, $linkurl, &$tmp); //проверка по методу Оливера

if ($linkurl == $linkbase || $tmp>60) {
echo'Ошибка! Такой сайт уже есть в базе! <br>';
echo'Вероятность совпадения '.round($tmp).' %<br>';
echo'Добавить сайт не получится<br>';
echo'<br><a href="link.php?'.SID.'">Вернуться</a>';
echo'<br><a href="../index.php?'.SID.'">На главную</a>'; 
include_once"../themes/$config_themes/foot.php";
exit;}}


$t=$linkurl.'|'.$linkname.'|'.$log.'|';
$t=preg_replace ("|[\r\n]+|si","",$t);

$fp = fopen("../local/link.dat","a+"); //Записываем в файл
flock ($fp,LOCK_EX);
@fputs($fp,"$t\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
@fclose($fp);
///////////////////////////

$file=file("../local/link.dat"); // Здесь удаляем старые сайты
$i = count($file);
$config_link=$config_link+1;
if ($i>$config_link) {
$fp=fopen("../local/link.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
unset($file[1]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}

echo'Ваш сайт успешно добавлен!<br>';
}else{
echo'Неправильный адрес!<br>Разрешается добавлять только адрес главной  страницы<br>';}
}else{
echo'Неправильное название!<br>Не менее 5 и не более 25 знаков в названии <br>'; }
}
}else{
echo'Вы не авторизованы,<br> для добавления ccылки необходимо <a href="../pages/vhod.php?'.SID.'"> авторизоваться</a><br> или сперва <a href="../pages/registration.php?'.SID.'"> зарегистрироваться</a><br>'; }

echo'<br><a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
	?>